<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface towerwarspp.preset.Viewer (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface towerwarspp.preset.Viewer (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Viewer.html" target="_top">Frames</a></li>
<li><a href="Viewer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface towerwarspp.preset.Viewer" class="title">Uses of Interface<br>towerwarspp.preset.Viewer</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a> in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that implement <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board">BViewer</a></span></code>
<div class="block">This class implements the interface Viewer in the preset package and represents a board viewer
 which observes a board object.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a> in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> declared as <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></td>
<td class="colLast"><span class="typeNameLabel">TextIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/TextIO.html#viewer">viewer</a></span></code>
<div class="block">Viewer-Object</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html#viewer">viewer</a></span></code>
<div class="block">Viewer-Object</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> with parameters of type <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">View.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/View.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a></span>(<a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</code>
<div class="block">Set the Viewer in the IO</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">TextIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/TextIO.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a></span>(<a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</code>
<div class="block">Overridden method setViewer() to set own <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset"><code>Viewer</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a></span>(<a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</code>
<div class="block">Setter of Viewer and Initialize of JPanels.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a> in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> that return <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html#getViewer--">getViewer</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a> in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that return <a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></td>
<td class="colLast"><span class="typeNameLabel">Viewable.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Viewable.html#viewer--">viewer</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Viewer.html" target="_top">Frames</a></li>
<li><a href="Viewer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
